package com.fjhx.admin;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

@Slf4j
@SpringBootApplication(scanBasePackages = "com.fjhx.**")
@EnableAsync
public class BytesailingApplication {

    public static void main(String[] args) {
        SpringApplication.run(BytesailingApplication.class, args);

        log.info("\r\n==================================================================\r\n"
                + ">>>>> " + BytesailingApplication.class.getSimpleName() + " is success!\r\n"
                + "==================================================================");
    }

}