package com.fjhx.purchase.service.purchase;

import com.fjhx.purchase.entity.purchase.dto.PurchasePayRecordDto;
import com.fjhx.purchase.entity.purchase.dto.PurchasePayRecordSelectDto;
import com.fjhx.purchase.entity.purchase.po.PurchasePayRecord;
import com.fjhx.purchase.entity.purchase.vo.PurchasePayRecordVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 采购付款记录 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-24
 */
public interface PurchasePayRecordService extends BaseService<PurchasePayRecord> {

    /**
     * 采购付款记录新增
     */
    void add(PurchasePayRecordDto purchasePayRecordDto);

    /**
     * 采购付款记录明细
     */
    PurchasePayRecordVo detail(PurchasePayRecordSelectDto dto);
}
