package com.fjhx.victoriatourist.entity.abnormal.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 异常处理详情
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("abnormal_details")
public class AbnormalDetails extends BasePo {

    /**
     * 异常记录id
     */
    private Long abnormalInfoId;

    /**
     * 处理说明
     */
    @TableField("`explain`")
    private String explain;

    /**
     * 1已处理  0未处理
     */
    private Integer status;

    /**
     * 跟进用户
     */
    private Long handleUser;

    /**
     * 下一个跟进用户
     */
    private Long nextHandleUser;

    /**
     * 异常处理方式
     */
    private String processing;

    /**
     * 跟进时间
     */
    private Date handleTime;

    /**
     * 退款金额
     */
    private BigDecimal refundAmount;

}
