package com.fjhx.victoriatourist.entity.abnormal.vo;

import com.fjhx.victoriatourist.entity.abnormal.po.AbnormalInfo;
import lombok.Getter;
import lombok.Setter;

/**
 * 异常记录列表查询返回值实体
 *
 * @author
 * @since 2023-04-11
 */
@Getter
@Setter
public class AbnormalInfoVo extends AbnormalInfo {

    /**
     * 最近处理人
     */
    private String handleUserName;

    /**
     * 采购人id
     */
    private Long purchaseUserId;
    /**
     * 采购人名称
     */
    private String purchaseUserName;
    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 物流单号
     */
    private String logisticsCode;

}
