package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 京东退货质检明细
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
@Getter
@Setter
@TableName("jd_back_quality_details")
public class JdBackQualityDetails extends BasePo {

    /**
     * 质检单号
     */
    private String code;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 质检合格数量
     */
    private BigDecimal qualifiedQuantity;

    /**
     * 不合格数量
     */
    private BigDecimal disqualificationQuantity;

}
