package com.fjhx.victoriatourist.entity.jd.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class TellBackOrderVO {
    /**订单号**/
    Long orderId;
    /**预计送货时间**/
    Date deliveryTime;
    List<BackInfo> backInfo;

    @Getter
    @Setter
    public static class BackInfo {
        /**
         * 商品编号（商品编号、配送中心、采购数量个数、不满足发货原因必须保持一致）
         **/
        private Long wareId;
        private Integer confirmNum;
        private String nonDeliveryReason;
//        private Integer backExplanationType;
        private Integer deliverCenterId;
    }

}
