package com.fjhx.victoriatourist.mapper.abnormal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.abnormal.po.AbnormalDetails;
import com.fjhx.victoriatourist.entity.abnormal.vo.AbnormalDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 异常处理详情 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface AbnormalDetailsMapper extends BaseMapper<AbnormalDetails> {

    /**
     * 异常处理详情分页
     */
    Page<AbnormalDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AbnormalDetails> wrapper);

    List<AbnormalDetailsVo> getList(@Param("ew") IWrapper<AbnormalDetails> wrapper);


}
