package com.fjhx.victoriatourist.mapper.abnormal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.abnormal.po.AbnormalInfo;
import com.fjhx.victoriatourist.entity.abnormal.vo.AbnormalInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 异常记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
public interface AbnormalInfoMapper extends BaseMapper<AbnormalInfo> {

    /**
     * 异常记录分页
     */
    Page<AbnormalInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AbnormalInfo> wrapper, @Param("businessType") Integer businessType);

}
