package com.fjhx.victoriatourist.mapper.blessing;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingCover;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingCoverVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 祝福封面 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2023-12-09
 */
public interface BlessingCoverMapper extends BaseMapper<BlessingCover> {

    /**
     * 祝福封面列表
     */
    List<BlessingCoverVo> getList(@Param("ew") IWrapper<BlessingCover> wrapper);

    /**
     * 祝福封面分页
     */
    Page<BlessingCoverVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BlessingCover> wrapper);

}
