package com.fjhx.victoriatourist.mapper.blessing;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingInfo;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 祝福留言信息 Mapper 接口
 * </p>
 *
 * @author LQH
 * @since 2023-12-10
 */
public interface BlessingInfoMapper extends BaseMapper<BlessingInfo> {

    /**
     * 祝福留言信息列表
     */
    List<BlessingInfoVo> getList(@Param("ew") IWrapper<BlessingInfo> wrapper);

    /**
     * 祝福留言信息分页
     */
    Page<BlessingInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BlessingInfo> wrapper);

}
