package com.fjhx.victoriatourist.mapper.blessing;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingLanguage;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingLanguageVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 祝福语管理 Mapper 接口
 * </p>
 *
 * @author LQH
 * @since 2023-12-10
 */
public interface BlessingLanguageMapper extends BaseMapper<BlessingLanguage> {

    /**
     * 祝福语管理列表
     */
    List<BlessingLanguageVo> getList(@Param("ew") IWrapper<BlessingLanguage> wrapper);

    /**
     * 祝福语管理分页
     */
    Page<BlessingLanguageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BlessingLanguage> wrapper);

}
