package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdBackQualityWait;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackQualityWaitVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东退货待质检 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface JdBackQualityWaitMapper extends BaseMapper<JdBackQualityWait> {

    /**
     * 京东退货待质检分页
     */
    Page<JdBackQualityWaitVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdBackQualityWait> wrapper);

}
