package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdInfo;
import com.fjhx.victoriatourist.entity.jd.vo.JdInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 京东基本信息表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-12-09
 */
public interface JdInfoMapper extends BaseMapper<JdInfo> {

    /**
     * 京东基本信息表列表
     */
    List<JdInfoVo> getList(@Param("ew") IWrapper<JdInfo> wrapper);

    /**
     * 京东基本信息表分页
     */
    Page<JdInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdInfo> wrapper);

}
