package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdSalesReturnsDetail;
import com.fjhx.victoriatourist.entity.jd.vo.JdSalesReturnsDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 京东售后退货明细 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-12-12
 */
public interface JdSalesReturnsDetailMapper extends BaseMapper<JdSalesReturnsDetail> {

    /**
     * 京东售后退货明细列表
     */
    List<JdSalesReturnsDetailVo> getList(@Param("ew") IWrapper<JdSalesReturnsDetail> wrapper);

    /**
     * 京东售后退货明细分页
     */
    Page<JdSalesReturnsDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdSalesReturnsDetail> wrapper);

}
