package com.fjhx.victoriatourist.service.jd.initializers;

import com.fjhx.victoriatourist.service.jd.JdApiService;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

@Component
public class JdInitializer {
    @Resource
    private JdApiService jdApiService;



    /**
     * 数据初始化
     * @author hj
     * @date 2023/12/19 21:15
     */
    @PostConstruct
    public void dataInitializer() {
        // 初始化数据的代码
        //收集京东采购单
        jdApiService.startJdOrder();
        //收集京东退货单
        jdApiService.startJdBackOrder();
        //刷新京东状态
        jdApiService.refreshJdState();
        //初始化字典
        jdApiService.initTenantDict();

    }
}
