package com.fjhx.wms.entity.arrival.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购到货记录明细 维多利亚
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
@Getter
@Setter
@TableName("arrival_stock_records_details")
public class ArrivalStockRecordsDetails extends BasePo {

    /**
     * 采购入库id
     */
    private Long arrivalStockRecordsId;

    /**
     * 产品id
     */
    private Long productInfoId;

    /**
     * 入库数量
     */
    private BigDecimal quantity;

    /**
     * 已质检数量
     */
    private BigDecimal qualityQuantity;

    /**
     * 业务明细id (待入库明细id)
     */
    private Long businessDetailsId;

    /**
     * 流水明细Id
     */
    private Long stockJournalDetailsId;

}
