package com.fjhx.purchase.entity.purchase;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class PayExportExcel {
    @ColumnWidth(20)
    @ExcelProperty("采购单号")
    private String contractCode;
    @ColumnWidth(20)
    @ExcelProperty("采购时间")
    private Date purchaseTime;
    @ColumnWidth(20)
    @ExcelProperty("物品编码")
    private String productCode;
    @ColumnWidth(20)
    @ExcelProperty("物品名称")
    private String productName;
    @ColumnWidth(20)
    @ExcelProperty("物品规格")
    private String productSpec;
    @ExcelProperty("单位")
    private String productUnit;
    @ColumnWidth(20)
    @ExcelProperty("已采购数量")
    private BigDecimal purchaseQuantity;
    @ExcelProperty("单价")
    private BigDecimal price;
    @ExcelProperty("金额")
    private BigDecimal amount;
    @ExcelProperty("运费")
    private String freight;
    @ColumnWidth(20)
    @ExcelProperty("优惠金额")
    private String preferential;
    @ColumnWidth(20)
    @ExcelProperty("付款账号")
    private String payAccount;
    @ColumnWidth(20)
    @ExcelProperty("采购总金额")
    private BigDecimal purchaseAmount;
    @ColumnWidth(20)
    @ExcelProperty("付款金额")
    private BigDecimal payAmount;
    @ColumnWidth(20)
    @ExcelProperty("付款时间")
    private String payTime;
    @ColumnWidth(20)
    @ExcelProperty("已入库数量")
    private BigDecimal receiptQuantity;
    @ColumnWidth(20)
    @ExcelProperty("已质检数量")
    private BigDecimal qualityQuantity;
    @ColumnWidth(20)
    @ExcelProperty("不合格数量")
    private BigDecimal disqualificationCount;
    @ColumnWidth(20)
    @ExcelProperty("退货数量")
    private BigDecimal returnQuantity;
    @ColumnWidth(20)
    @ExcelProperty("退货金额")
    private BigDecimal returnAmount;
    @ColumnWidth(20)
    @ExcelProperty("物流单号")
    private String logisticsCode;
}
