package com.fjhx.purchase.entity.purchase;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
public class PurchaseJson {
    /**
     * 其他费用
     */
    private List<OtherFee> otherFeeList;
    /**
     * 是否合同
     */
    private String isAgreement;
    /**
     * 付款方式
     */
    private String paymentMethod;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 运费
     */
    private String freight;
    /**
     * 优惠
     */
    private String preferential;
    //------
    private BigDecimal paidAmount;

    private String receiptWarehouseId;

    private String receiptWarehouseName;

    @Getter
    @Setter
    class OtherFee {
        /**
         * 费用金额
         */
        private BigDecimal price;
        /**
         * 费用名称
         */
        private String name;
        /**
         * 费用说明
         */
        private String remark;
    }
}
