package com.fjhx.purchase.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.purchase.po.PurchasePayRecordDetail;
import com.fjhx.purchase.entity.purchase.vo.PurchasePayRecordDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 采购付款记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-05-23
 */
public interface PurchasePayRecordDetailMapper extends BaseMapper<PurchasePayRecordDetail> {

    /**
     * 采购付款记录分页
     */
    Page<PurchasePayRecordDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchasePayRecordDetail> wrapper);
    List<PurchasePayRecordDetailVo> getList(@Param("ew") IWrapper<PurchasePayRecordDetail> wrapper);

}
