package com.fjhx.victoriatourist.entity.blessing.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 祝福留言信息
 * </p>
 *
 * @author LQH
 * @since 2023-12-10
 */
@Getter
@Setter
@TableName("blessing_info")
public class BlessingInfo extends BasePo {

    /**
     * 封面名称
     */
    private Long coverId;

    /**
     * 收礼人手机号
     */
    private String acceptPhone;

    /**
     * 收礼人姓名
     */
    private String acceptName;

    /**
     * 送礼人手机号
     */
    private String givePhone;

    /**
     * 送礼人姓名
     */
    private String giveName;

    /**
     * 送礼人性别
     */
    private String giveSex;

    /**
     * 祝福语id
     */
    private Long blessingId;

    /**
     * 祝福语内容
     */
    private String blessingContent;

    /**
     * 京东订单号
     */
    private String jdOrder;

}
