package com.fjhx.victoriatourist.entity.blessing.vo;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 祝福留言信息列表查询返回值实体
 *
 * @author LQH
 * @since 2023-12-10
 */
@Getter
@Setter
public class BlessingInfoVo extends BlessingInfo {

    String coverName;

    /**
     * 封面
     */
    List<FileInfoVo> coverList;

    /**
     * 音频
     */
    List<FileInfoVo> audioList;
}
