package com.fjhx.victoriatourist.entity.blessing.vo.open;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.tenant.entity.dict.vo.DictTenantDataVo;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingCover;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingCoverVo;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingLanguageVo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 祝福封面列表查询返回值实体
 *
 * @author lqh
 * @since 2023-12-09
 */
@Getter
@Setter
public class BlessingGradeVo {

    DictTenantDataVo dictTenantDataVo;

    /**
     * 封面
     */
    List<BlessingCoverVo> coverVoList;

    /**
     * 祝福语
     */
    List<BlessingLanguageVo> languageVoList;

}
