package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 京东退货
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("jd_back")
public class JdBack extends BasePo {

    /**
     * 来源类型 1手动创建 2批量导入
     */
    private Integer type;

    /**
     * 退货状态 1新建 2运输中 3待质检
     */
    private Integer status;

    private Integer businessStatus;

    /**
     * 运单号
     */
    private String waybill;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 批次标记
     */
    private Long batchFlag;

    //----------------------------京东字段开始-------------------------------------
    private Long returnId;
    private String providerCode;
    private String providerName;
    private Date createDate;
    private String fromDeliverCenterName;
    private String toDeliverCenterName;
    private String returnStateName;
    private Integer totalNum;
    private BigDecimal totalPrice;
    private String stockName;
    private String wareHouseAddress;
    private String wareHouseCell;
    private String wareHouseContact;
    private Date outStoreRoomDate;
    private Integer wareVariety;
    private String balanceStateName;
    private Date balanceDate;
    //----------------------------京东字段结束-------------------------------------

}
