package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 京东退货待质检
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("jd_back_quality_wait")
public class JdBackQualityWait extends BasePo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 待质检数量
     */
    private BigDecimal quantity;

}
