package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 京东基本信息表
 * </p>
 *
 * @author 
 * @since 2023-12-09
 */
@Getter
@Setter
@TableName("jd_info")
public class JdInfo extends BaseIdPo {

    private String accessToken;

    private String refreshToken;

    private int online;

    /**
     * 最后一次刷新时间
     */
    private Date lastRefreshTime;

    /**
     * 初始化查询时间
     */
    private Date initQueryDate;

    /**
     * 过期时间
     */
    private Date expireTime;

}
