package com.fjhx.victoriatourist.mapper.deliver;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.quality.vo.QualityDetailVo;
import com.fjhx.victoriatourist.entity.deliver.po.DeliverGoods;
import com.fjhx.victoriatourist.entity.deliver.vo.DeliverGoodsDetailsVo;
import com.fjhx.victoriatourist.entity.deliver.vo.DeliverGoodsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 发货 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface DeliverGoodsMapper extends BaseMapper<DeliverGoods> {

    /**
     * 发货分页
     */
    Page<DeliverGoodsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DeliverGoods> wrapper);

    List<DeliverGoodsDetailsVo> listDeliverGoodsDetails(@Param("ew") IWrapper<DeliverGoods> wrapper);

    List<QualityDetailVo> getQualityInfoByPurchaseId(@Param("id") Long id);

}
