package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdBack;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东退货 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface JdBackMapper extends BaseMapper<JdBack> {

    /**
     * 京东退货分页
     */
    Page<JdBackVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdBack> wrapper);

}
