package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdSalesReturns;
import com.fjhx.victoriatourist.entity.jd.vo.JdSalesReturnsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 京东售后退货 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-12-12
 */
public interface JdSalesReturnsMapper extends BaseMapper<JdSalesReturns> {

    /**
     * 京东售后退货列表
     */
    List<JdSalesReturnsVo> getList(@Param("ew") IWrapper<JdSalesReturns> wrapper);

    /**
     * 京东售后退货分页
     */
    Page<JdSalesReturnsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdSalesReturns> wrapper);

}
