package com.fjhx.victoriatourist.mapper.quality;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.quality.po.QualityInfo;
import com.fjhx.victoriatourist.entity.quality.vo.QualityInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 质检 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
public interface QualityInfoMapper extends BaseMapper<QualityInfo> {

    /**
     * 质检分页
     */
    Page<QualityInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<QualityInfo> wrapper);

    Page<QualityInfoVo> getPage1(Page<Object> page, @Param("ew") IWrapper<QualityInfo> wrapper);

    /**
     * 获取质检记录
     */
    List<QualityInfoVo> getQualityRecordByPurchaseId( @Param("purchaseId") Long purchaseId);
}
