package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.bo.JdBackQualityWaitExcelBo;
import com.fjhx.victoriatourist.entity.jd.dto.JdBackQualityWaitSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdBackQualityWait;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackQualityWaitVo;
import com.ruoyi.common.core.service.BaseService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


/**
 * <p>
 * 京东退货待质检 服务类
 * </p>
 *
 * @author
 * @since 2023-04-19
 */
public interface JdBackQualityWaitService extends BaseService<JdBackQualityWait> {

    /**
     * 京东退货待质检分页
     */
    Page<JdBackQualityWaitVo> getPage(JdBackQualityWaitSelectDto dto);

    /**
     * 导出excel
     */
    void exportExcel(HttpServletResponse httpServletResponse);

    /**
     * 导入excel
     *
     * @return
     */
    List<JdBackQualityWaitExcelBo> importExcel(MultipartFile file);
}
