package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdSalesReturnsDetailDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdSalesReturnsDetailSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdSalesReturnsDetail;
import com.fjhx.victoriatourist.entity.jd.vo.JdSalesReturnsDetailVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 京东售后退货明细 服务类
 * </p>
 *
 * @author hj
 * @since 2023-12-12
 */
public interface JdSalesReturnsDetailService extends BaseService<JdSalesReturnsDetail> {

    /**
     * 京东售后退货明细列表
     */
    List<JdSalesReturnsDetailVo> getList(JdSalesReturnsDetailSelectDto dto);

    /**
     * 京东售后退货明细分页
     */
    Page<JdSalesReturnsDetailVo> getPage(JdSalesReturnsDetailSelectDto dto);

    /**
     * 京东售后退货明细明细
     */
    JdSalesReturnsDetailVo detail(Long id);

    /**
     * 京东售后退货明细新增
     */
    void add(JdSalesReturnsDetailDto jdSalesReturnsDetailDto);

    /**
     * 京东售后退货明细编辑
     */
    void edit(JdSalesReturnsDetailDto jdSalesReturnsDetailDto);

    /**
     * 京东售后退货明细删除
     */
    void delete(Long id);

}
