package com.fjhx.wms.entity.stock.bo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class StockJournalDetailsExcelBo {

    /**
     * 操作类型
     */
    private Integer opType;
    /**
     * 流水类型
     */
    private Integer type;

    @ColumnWidth(20)
    @ExcelProperty("操作类型")
    private String opTypeName;
    @ColumnWidth(20)
    @ExcelProperty("关联单号")
    private String contractCode;
    @ColumnWidth(20)
    @ExcelProperty("出入库类型")
    private String typeName;
    @ColumnWidth(20)
    @ExcelProperty("仓库名称")
    private String warehouseName;
    @ColumnWidth(20)
    @ExcelProperty("物品编码")
    private String productCustomCode;
    @ColumnWidth(20)
    @ExcelProperty("物品名称")
    private String productName;
    @ColumnWidth(20)
    @ExcelProperty("物品规格")
    private String productSpec;
    @ColumnWidth(20)
    @ExcelProperty("物品单位")
    private String productUnit;
    @ColumnWidth(20)
    @ExcelProperty("操作数量")
    private String quantity;
    @ColumnWidth(20)
    @ExcelProperty("操作人")
    private String opUserName;
    @ColumnWidth(20)
    @ExcelProperty("操作时间")
    private Date createTime;
}
