package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 维多利亚修改流水操作记录
 * </p>
 *
 * @author 
 * @since 2023-11-13
 */
@Getter
@Setter
@TableName("stock_journal_details_edit_record")
public class StockJournalDetailsEditRecord extends BasePo {

    /**
     * 流水明细id
     */
    private Long stockJournalDetailsId;

    /**
     * 原数量
     */
    private BigDecimal originalQuantity;

    /**
     * 修改后数量
     */
    private BigDecimal changeQuantity;

}
